%global gem_name cucumber-cucumber-expressions

Name: rubygem-%{gem_name}
Version: 14.0.0
Release:    1%{?dist}
Summary: A simpler alternative to Regular Expressions
License: MIT
URL: https://github.com/cucumber/cucumber-expressions-ruby#readme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: %{_bindir}/rspec
BuildRequires: rubygem(rspec-expectations)
BuildArch: noarch

Provides: rubygem-cucumber-expressions = %{version}-%{release}

%description
Cucumber Expressions - a simpler alternative to Regular Expressions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_spec}

%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/scripts/
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/VERSION
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber-cucumber-expressions.gemspec
%{gem_instdir}/spec

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.0.0-1
- initial build
